CREATE DATABASE traffic
    DEFAULT CHARACTER SET koi8r
    DEFAULT COLLATE koi8r_general_ci;

GRANT INSERT ON traffic.* TO 'insert_user'@'localhost' IDENTIFIED BY 'pass';
GRANT SELECT ON traffic.* TO 'view_user'  @'localhost' IDENTIFIED BY 'pass';

USE traffic;

CREATE TABLE Ip (
    IP             VARCHAR(15) NOT NULL PRIMARY KEY,
    QUOTA          INTEGER,
    PCNAME         VARCHAR(100),
    FNAME          VARCHAR(100),
    MNAME          VARCHAR(100),
    LNAME          VARCHAR(100),
    EMAIL          VARCHAR(200),
    INDEX(IP)
) ENGINE = MyISAM;

CREATE TABLE Log (
    NN          INTEGER(12) UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
    IP_FROM     INT(10) NOT NULL,
    IP_TO       INT(10) NOT NULL,
    SRC_PORT    VARCHAR(5) NOT NULL,
    DEST_PORT   VARCHAR(5) NOT NULL,
    PROTO       VARCHAR(4) NOT NULL,
    DATA_BYTES  INTEGER NOT NULL,
    ALL_BYTES   INTEGER NOT NULL,
    FIRST_TIME  INT(10) NOT NULL,
    LAST_TIME   INT(10) NOT NULL,
    INDEX(IP_FROM),
    INDEX(IP_TO),
    INDEX(SRC_PORT),
    INDEX(DEST_PORT),
    INDEX(PROTO),
    INDEX(ALL_BYTES),
    INDEX(FIRST_TIME),
    INDEX(IP_FROM,FIRST_TIME),
    INDEX(IP_TO,FIRST_TIME)
) ENGINE     = MyISAM
  ROW_FORMAT = fixed;


INSERT INTO Ip VALUES ('192.168.0.25', 250000000, 'VELC', '', '', '', 'vov@aokp.ru petya@aho.ru');